<?php

/*
|--------------------------------------------------------------------------
| Paths Config
|--------------------------------------------------------------------------
|
| Leaf allows you to completely modify the directory structure of your
| MVC application. This file just tells Leaf and other components
| where to find the important files in your app.
|
*/

return [
    'assets' => 'public/assets',

    'commands' => 'app/console',

    'config' => 'config',

    'channels' => 'app/channels',

    'components' => 'app/components',

    'controllers' => 'app/controllers',

    'databaseStorage' => 'storage/app/db',

    'events' => 'app/events',

    'factories' => 'app/database/factories',

    'helpers' => 'app/helpers',

    'jobs' => 'app/jobs',

    'lib' => 'lib',

    'mail' => 'app/mail',

    'middleware' => 'app/middleware',

    'migrations' => 'app/database/migrations',

    'models' => 'app/models',

    'public' => 'public',

    'routes' => 'app/routes',

    'schema' => 'app/database/schema',

    'scripts' => 'app/scripts',

    'seeds' => 'app/database/seeds',

    'services' => 'app/services',

    'storage' => 'storage',

    'utils' => 'app/utils',

    'views' => 'app/views',

    'workers' => 'app/workers',
];
